import { Component } from 'react';
import { IPublicModelPluginContext } from '@alilc/lowcode-types';
import TreeNode from '../controllers/tree-node';
export default class TreeTitle extends Component<{
    treeNode: TreeNode;
    isModal?: boolean;
    expanded: boolean;
    hidden: boolean;
    locked: boolean;
    expandable: boolean;
    pluginContext: IPublicModelPluginContext;
}> {
    state: {
        editing: boolean;
        title: string;
    };
    private enableEdit;
    private cancelEdit;
    private saveEdit;
    private handleKeyUp;
    private lastInput?;
    private setCaret;
    componentDidMount(): void;
    render(): JSX.Element;
}
