import { Component } from 'react';
import TreeNode from '../controllers/tree-node';
import { IPublicModelPluginContext } from '@alilc/lowcode-types';
export default class TreeBranches extends Component<{
    treeNode: TreeNode;
    isModal?: boolean;
    pluginContext: IPublicModelPluginContext;
    expanded: boolean;
}> {
    state: {
        filterWorking: boolean;
        matchChild: boolean;
    };
    private offExpandedChanged;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    render(): JSX.Element;
}
