import { Component } from 'react';
import TreeNode from '../controllers/tree-node';
import { IPublicModelPluginContext } from '@alilc/lowcode-types';
export default class TreeNodeView extends Component<{
    treeNode: TreeNode;
    isModal?: boolean;
    pluginContext: IPublicModelPluginContext;
    isRootNode: boolean;
}> {
    state: {
        expanded: boolean;
        selected: boolean;
        hidden: boolean;
        locked: boolean;
        detecting: boolean;
        isRoot: boolean;
        highlight: boolean;
        dropping: boolean;
        conditionFlow: boolean;
        expandable: boolean;
    };
    eventOffCallbacks: Array<() => void>;
    constructor(props: any);
    componentDidMount(): void;
    componentWillUnmount(): void;
    shouldShowModalTreeNode(): boolean;
    render(): JSX.Element;
}
